ruby-dotenv_2.4.0-1_all.deb


Advertisement

Description

ruby-dotenv - configuration variable loader

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename ruby-dotenv_2.4.0-1_all.deb
Package name ruby-dotenv
Package version 2.4.0
Package release 1
Package architecture all
Package type deb
Category ruby
Homepage https://github.com/bkeepers/dotenv
License -
Maintainer Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Download size 13.48 KB
Installed size 46.00 KB
Like the gem "foreman", dotenv will automagically load variables from .env,
but doesn't put them in the Procfile. Instead they are accessible via ENV.
Thus it can also be used when running an application manually, using the
interactive console, or running a Rake task.

Alternatives

Package Version Architecture Repository
ruby-dotenv_2.4.0-1_all.deb 2.4.0 all Debian Main
ruby-dotenv - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ruby-dotenv_2.4.0-1_all.deb
Source Package ruby-dotenv

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-dotenv deb package:
    # sudo apt-get install ruby-dotenv

Files

Path
/usr/bin/dotenv
/usr/lib/ruby/vendor_ruby/dotenv-rails.rb
/usr/lib/ruby/vendor_ruby/dotenv.rb
/usr/lib/ruby/vendor_ruby/dotenv/cli.rb
/usr/lib/ruby/vendor_ruby/dotenv/environment.rb
/usr/lib/ruby/vendor_ruby/dotenv/load.rb
/usr/lib/ruby/vendor_ruby/dotenv/parser.rb
/usr/lib/ruby/vendor_ruby/dotenv/rails-now.rb
/usr/lib/ruby/vendor_ruby/dotenv/rails.rb
/usr/lib/ruby/vendor_ruby/dotenv/tasks.rb
/usr/lib/ruby/vendor_ruby/dotenv/version.rb
/usr/lib/ruby/vendor_ruby/dotenv/substitutions/command.rb
/usr/lib/ruby/vendor_ruby/dotenv/substitutions/variable.rb
/usr/share/doc/ruby-dotenv/README.md.gz
/usr/share/doc/ruby-dotenv/changelog.Debian.gz
/usr/share/doc/ruby-dotenv/changelog.gz
/usr/share/doc/ruby-dotenv/copyright
/usr/share/rubygems-integration/all/specifications/dotenv-2.4.0.gemspec

Changelog

2018-05-09 - Antonio Terceiro <terceiro@debian.org>
ruby-dotenv (2.4.0-1) unstable; urgency=medium
* Team upload
* Remove myself from Uploaders:
* New upstream version 2.4.0
* Bump debhelper compatibility level to 11
* Bump Standards-Version to 4.1.4; no changes needed
* Vcs-*: point to salsa.debian.org
* debian/watch: point to gemwatch.debian.net
2017-08-01 - Antonio Terceiro <terceiro@debian.org>
ruby-dotenv (2.2.1-1) unstable; urgency=medium
[ C├ędric Boutillier ]
* Use https:// in Vcs-* fields
* Run wrap-and-sort on packaging files
[ Antonio Terceiro ]
* New upstream version 2.2.1
* debian/rules:
- remove code to remove `dotenv` program (Closes: #870330)
- replace DH_RUBY_GEMSPEC with a symlink in debian/gemspec
* debian/control:
- Bump Standards-Version to 4.0.0 (no changes needed)
- Bump debhelper compatibility level to 10
- Set `Testsuite:` to `autopkgtest-pkg-ruby`
* Drop explicit debian/tests/control, not needed anymore
* Drop debian/patches/*. There was only a single patch, and the original
issue has been fixed differently by upstream.
2015-09-10 - Antonio Terceiro <terceiro@debian.org>
ruby-dotenv (2.0.2-1) unstable; urgency=medium
* Team upload.
* New upstream release
* debian/watch: point at github
* Refresh packaging with a new dh-make-ruby run
* 0001-parser_spec-don-t-assume-being-run-with-ruby.patch: fix test suite
when running under the non-default Ruby interpreter (Closes: #794168)
2015-05-12 - Pirate Praveen <praveen@debian.org>
ruby-dotenv (1.0.2-2) unstable; urgency=medium
* Team upload.
* Re-upload to unstable
2015-04-13 - Pirate Praveen <praveen@debian.org>
ruby-dotenv (1.0.2-1) experimental; urgency=medium
* Team upload.
* New upstream release.
* Bump standards version to 3.9.6 (no changes)
2013-10-12 - Markus Tornow <tornow@riseup.net>
ruby-dotenv (0.9.0-1) unstable; urgency=low
* New upstream Release
* Removing bin/dotenv from the binary package 
2013-05-08 - Markus Tornow <tornow@riseup.net>
ruby-dotenv (0.7.0-1) unstable; urgency=low
* Initial release (Closes: #707839)

See Also

Package Description
ruby-eb_2.6-3+b8_amd64.deb EB library interface for the Ruby
ruby-ecasound_2.9.1-7_all.deb multitrack-capable audio recorder and effect processor (ruby bindings)
ruby-ed25519_1.2.4-1_amd64.deb efficient digital signature library providing the Ed25519 algorithm
ruby-eim-xml_0.0.4-4_all.deb Easy IMplemented XML by Ruby
ruby-ejs_1.1.1-2_all.deb EJS (Embedded JavaScript) template compiler
ruby-elasticsearch-api_1.0.12-1_all.deb Ruby implementation of the Elasticsearch REST API
ruby-elasticsearch-transport_1.0.12-1_all.deb low-level Ruby client for connecting to Elasticsearch
ruby-elasticsearch_1.0.12-1_all.deb Ruby client for connecting to an Elasticsearch cluster
ruby-em-hiredis-doc_0.3.1-1_all.deb fast and simple Redis client for EventMachine (documentation)
ruby-em-hiredis_0.3.1-1_all.deb fast and simple Redis client for EventMachine
ruby-em-http-request_1.1.5-2_all.deb EventMachine based, async HTTP Request client
ruby-em-mongo_0.5.1-1_all.deb Ruby EventMachine driver for MongoDB
ruby-em-redis_0.3.0+gh-2_all.deb eventmachine-based implementation of the Redis protocol
ruby-em-socksify_0.3.1-1_all.deb EventMachine SOCKSify shim: adds SOCKS support to any protocol
ruby-em-spec_0.2.7-1_all.deb BDD for Ruby/EventMachine
Advertisement
Advertisement